<!DOCTYPE                   >
<mpml>
  <head>
    <title>MPML TEST</title>
    <meta name="author" content="ZongYuan--Ishizuka">
    <meta name="title" content="MPML2e-demo">
    <root-layout width="795" height="580" />
    <region id="box1" box="0%, 0%, 30%, 30%" />
    <spot   id="spot1" location="600,380" />
    <agent id="PD" character="genie" spot="spot1" />
    <!-- "agent id" is not used in MPML2.0e, it is for MPML2.0a. -->
  </head>
  <!--------this is a comment line    rearafa    --------->

  <body>
<!-- 1 -->
    <!--page id="first_page" ref="self_intro.html" area="right_middle"-->
    <page id="first_page" ref="self_intro.html" area="right_bottom">
      <emotion type="happy-for">
        <speak>
	  Ladies and gentlemen, I am so glad to be able to present my work.
        </speak>
      </emotion>
      <move spot="spot1" />
	  <play begin="1s" act="GestureRight" />
      <speak>
         My name is Mitsu Ishizuka, I am from University of Tokyo.
      </speak>
      <move x="300" y="360" />
      <speak>
        Today's topic is about
      </speak>
	  <play begin="1s" act="GestureUp" />
      <emotion type="satisfaction">
        <speak>
          Emotion Expression Functions attached to Multimodal Presentation 
	  Markup Language MPML.
        </speak>
      </emotion>
    </page>

<!-- 2 -->
    <page id="second_page" ref="sequence.html" area="right_middle">
      <play begin="1s" act="GestureRight" />
      <speak>
        Today I will present the following topics.
      </speak>
      <speak>
         At first, I would like to introduce the background for multimodal presentation.
      </speak>
      <speak begin="1s" >
         Then, I will introduce MPML Version 1.0, 
      </speak>
      <speak begin="1s" >
	 which has been developed to provide a medium-level description language, 
         commonly applicable to many character systems.
      </speak>
      <speak begin="1s" >
         Emotion is one important element for lifelike agents.
      </speak>
      <!-- speak begin="1s">
	  	 Here, I am going to illustrate the structure for the OCC emotion model.
      </speak -->
      <speak begin="1s" >
         We provide a useful emotion expression function to MPML. 
      </speak>
      <speak begin="1s" >
	 I am going to introduce MPML Version 2.0e with the new function.
      </speak>
      <speak begin="1s" >
	 And some other new functions embedded in MPML Version 2.0e
      </speak>
      <!-- speak begin="1s">
	 At the end, I will conclude and talk about the future work.
      </speak -->
    </page>

<!-- 3 -->
    <!--page id="background1" ref="background1.html" area="right_top"-->
    <page id="background1" ref="background1.html" area="right_middle">
      <speak begin="1s">
        With the increase of multimedia contents in WWW, we can get various media information from the Internet.
      </speak>
      <move x="100" y="350" />
	  <play begin="1s" act="GestureLeft" />
      <speak>
        For example, Text.
      </speak>
      <speak>
        Pictures.
      </speak>
      <speak>
        Sound.
      </speak>
      <speak>
        Movies.
      </speak>
      <speak begin="1s">
        Since the advent of multimedia technologies, a new type of interface emerged.
      </speak>
      <speak begin="1s">
        It is Multimodal Interface.
      </speak>
      <speak begin="1s">
        A Multimodal Interface connects humans and machines using multiple modalities.
      </speak>
    </page>

<!-- 4 -->
    <page id="background2" ref="background2.html" area="right_bottom">
      <speak begin="1s">
        When people interact, they rely on many communication modalities
      </speak>
	  <play begin="1s" act="GestureRight" />
      <speak begin="1s">
        For example, facial expression, gesture, intonation, and so on.
      </speak>
      <speak begin="1s">
        Each modality conveys a different kind of information.
      </speak>
      <speak begin="1s">
        However, computers don't have face or body, 
        so it is difficult for them to utilize those modalities.
      </speak>
	  <move x="150" y="360"/>
	  <play begin="1s" act="GestureLeft" />
      <speak begin="1s">
        Our solution is to use multimodal lifelike agents.
      </speak>
      <speak begin="1s">
        Lifelike agents are able to move on the screen, and have syntesized face 
        and body. It is possible for them 
        to convey information through various modalities.
      </speak>
    </page>

<!-- 5 -->
    <page id="background3" ref="background3.html" area="left_bottom">
      <!-- speak begin="1s">
        One important ultilization of a multimodal interface is Multimodal Presentation.
      <speak -->
      <speak begin="1s">
       Not only as an interface but aslo as a multimodal informaton contents, multimodal presentations performed by character agents are useful and very attractive. 
      </speak>
	  <play act="GestureLeft" />
      <speak begin="1s">
        At present, the most popular presentation style is to use OHP or PowerPoint's slide show.
      </speak>
      <speak begin="1s">
        The merit of these types of presentations is, presenter and audience can communicate through many modalities.
      </speak>
      <emotion type="disappointment">
        <speak begin="1s">
          However the problem for this type of presentation is, the presenter has to be in the meeting hall. 
         (disappointment)
        </speak>
      </emotion>
      <speak begin="1s">
        So it is restricted to a specific time and location.
      </speak>
	  <move area="right_bottom" />
	  <play act="GestureRight" />
      <!-- speak begin="1s">
        A new type of presentation is called Multimodal Presentation.
      </speak -->
      <speak begin="1s">
       We let a lifelike agent present instead of human presenter.
      </speak>
      <speak begin="1s">
        Humans are released from presenting. And Multimodal presentations can be performed anytime and anywhere.
      </speak>
      <emotion type="disappointment">
        <speak begin="1s">
          However the problem for Multimodal Presentation is, it is not easy to code,
          (disappointment)
        </speak>
      </emotion>
      <speak begin="1s">
	  because of the complexity of describing various behaviors of character agents 
      </speak>
      <speak begin="1s">
	  and their interactions with particular character systems, all of which have different description languages.
      </speak>
      <speak begin="1s">
	  In order to overcome this problem and to allow many people to write attractive multimodal presentations easily,
      </speak>
      <emotion type="joyful">
        <speak begin="1s">
    	we have developed MPML, which provides a medium-level description language commonly applicable to many character systems. (joyful)
	</speak>
      </emotion>
    </page>

<!-- 6 -->
    <!--page id="introMpml1_1" ref="introMpml1_1.html" x="400" y="200"-->
    <page id="introMpml1_1" ref="introMpml1_1.html" x="470" y="280">
      <emotion type="pride">
        <speak>
	 I am very glad to introduce MPML here.
	</speak>
      </emotion>
      <speak begin="1s">
        What does MPML stand for?
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
        The first M stands for Multimodal.
      </speak>
      <speak>
        P stands for Presentation.
      </speak>
      <speak begin="1s">
        The second M stands for Markup.
      </speak>
      <speak>
        L stands for Language.
      </speak>
      <speak begin="1s">
        So, MPML means Multimodal Presentation Markup Language.
      </speak>
    </page>

<!-- 7 -->
    <page id="introMpml1_2" ref="introMpml1_2.html" area="right_top">
      <speak begin="1s">
        The purpose of MPML is to enable many people to write attractive Multimodal 
        Presentation most easily,
      </speak>
      <speak begin="1s">
        regardless of the type of agents to be used.
      </speak>
	  <move area="right_bottom" />
      <speak begin="1s">
        MPML Version 1.0 was developed in 1998, and it has some attractive features:
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
	    MPML is independent of any particular agent system.
      </speak>
      <speak begin="1s">
	    It conforms to XML, which makes it easy to learn.
      </speak>
      <speak begin="1s">
	    MPML conforms to SMIL, which allows to synchonize different types of media.
      </speak>
      <speak begin="1s">
	    It is designed to control agents very easily.
      </speak>
      <speak begin="1s">
	    Also, designed to allow interactive presentation.
      </speak>
      <speak begin="1s">
	    I am going to introduce these features.
      </speak>
    </page>

<!-- 8 -->
    <page id="introMpml1_3" ref="introMpml1_3.html" area="left_bottom">
	  <play act="GestureLeft" />
      <speak begin="1s">
        This is the agent system called AShow.
      </speak>
      <speak begin="1s">
        It is developed by the Electrotechnical Laboratory.
      </speak>
	  <move x="300" y="250" />
	  <play act="GestureDown" />
      <speak begin="1s">
        This is the Microsoft Agent.
      </speak>
      <speak begin="1s">
        Her name is Peedy, one of my partners.
      </speak>
	  <move area="right_bottom" />
	  <play act="GestureRight" />
      <speak begin="1s">
        This is the project called PPP Presenter in DFKI, Germany,
      </speak>
      	  <move x="400" y="160" />
      <speak begin="1s">
        Many agent systems exist but it is hard work to produce contents for 
        every single agent system.
      </speak>
 	  <play act="GestureRight" />
      <speak begin="1s">
        MPML is independent of the agent systems; thus you can author a presentation 
        regardless of the agent to be used.
      </speak>
    </page>

<!-- 9 -->
    <!--page id="introMpml1_4" ref="introMpml1_4.html" x="300" y="100"-->
    <page id="introMpml1_4" ref="introMpml1_4.html" x="360" y="180">
	  <play act="GestureRight" />
      <speak begin="1s">
        MPML conforms to XML.
      </speak>
      <speak begin="1s">
        So MPML is easy to learn. 
      </speak>
      <speak begin="1s">
        Every one who understands HTML is able to use MPML with little effort.
      </speak>
      <!-- speak begin="1s">
        XML stands for Extensible Markup Language.
      </speak -->
      <!-- speak begin="1s">
	    It is designed for universal format for structured documents and data on the Web.
      </speak -->
      <!-- speak begin="1s">
	    It permits you to define customized tags.
      </speak -->
    </page>

<!-- 10 -->
    <!--page id="introMpml1_5" ref="introMpml1_5.html" x="400" y="250"-->
    <page id="introMpml1_5" ref="introMpml1_5.html" x="400" y="350">
      <speak begin="15s" >
        MPML also conforms to SMIL. 
      </speak>
      <speak begin="1s">
        SMIL stands for Synchronized Multimedia Integration Language.
      </speak>
      <speak begin="1s">
        It is a language designed for synchronizing different media.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
        So, you can synchronize the media easily with MPML like this.
      </speak>
    </page> 

<!-- 11 -->
    <!--page id="introMpml1_6" ref="introMpml1_6.html" x="400" y="230"-->
    <page id="introMpml1_6" ref="introMpml1_6.html" x="480" y="300">
      <speak begin="1s">
        MPML is designed to control an agent easily.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
        You can control the agent as in this example.
      </speak>
      <speak begin="1s">
        According to the sample, I will act like 
      </speak>
	  <play act="DoMagic1" />
	  <play act="DoMagic2" />
      <emotion type="gratification">
        <speak begin="1s">
		  It is very easy , isn't it?  (gratification)
        </speak>
      </emotion>
	  <move x="400" y="310" />
      <speak begin="1s">
        MPML also supports interactive presentation.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
        For example, Please speak 'Go Next' to me, so that I will go to next page.
      </speak>
      <speak begin="1s">
        I am waiting for your command.
      </speak>
 	  <listen>
	    <heard word="Go [next]">
		  <jump des="emotion1" />
		</heard>
	  </listen>
   </page>

<!-- 12 -->
   <page id="emotion1" ref="emotion1.html" area="right_middle">
      <emotion type="disappointment">
        <speak begin="1s">
          However, current communication channels between lifelike agents and users are not enough. 
         (disappointment)
        </speak>
      </emotion>
	  <play act="GestureRight" />
      <speak begin="1s">
        The Interface agent should be a good and freindly partner for the user; 
        otherwise, the user will be loose interest soon.
      </speak>
      <speak begin="1s">
        The Interface agent should have own personality.
      </speak>
      <speak begin="1s">
        Therefore, the Interface agent should have an emotion expression function 
        to realize its own personality.
      </speak>
	  <move area="right_bottom" />
      <emotion type="disappointment">
        <speak begin="1s">
          However, there are some obstacles left in expressing emotion with machines,
        </speak>
	  </emotion>
	  <play act="GestureRight" />
      <speak begin="1s">
        There are too many words for emotions.
      </speak>
      <speak begin="1s">
        For example, Joy, Distress, Surprise, Anger, Hate, Fear and so on.
      </speak>
      <speak begin="1s">
        There is no conclusion to settle the problem of the emotion words yet.
      </speak>
    </page>

<!-- 13 -->
    <page id="occ1" ref="occ1.html" area="right_top">
      <emotion type="joyful">
        <speak begin="1s">
	  I am glad to introduce the OCC emotion model here.
        </speak>
	  </emotion>
      <speak begin="1s">
     	 It is a theory about emotion structure on which some emotion systems are 
         based at present.
      </speak>
      <speak begin="1s">
         Cognitive psychology was established in the 1970s .
      </speak>
      <!-- speak begin="1s">
         In 1981, Donald Norman identified the topic of emotion as one of 
         twelve major challenges in Cognitive Science .
      </speak -->
      <speak begin="1s">
         It was the biginning of 1980s that three authors decided to collaborate
      </speak>
      <speak>
         to explore the extent to which cognitive psychology could provide a viable foundation for the analysis of emotions.
      </speak>
	  <move x="600" y="520" />
	  <play act="GestureRight" />
      <speak begin="1s">
        Their names are Andrew Ortony, Gerald Clore, Allan Colins .
      </speak>
      <speak begin="1s">
        In 1988, they published a book called The Cognitive Structure of Emotion, 
      </speak>
      <speak begin="1s">
	 in which they explain the emotion system provided.
      </speak>
      <speak begin="1s">
        We took the first letter of their names, and dubbed their emotion structure model as OCC model.
      </speak>
    </page>

<!-- 14 -->
    <page id="occ3" ref="occ3.html" area="right_top">
      <speak begin="1s">
        All emotions can be divided into terms according to 
        emotion-eliciting situations.
      </speak>
      <speak begin="1s">
        According OCC's theory, emotion-eliciting situations can be divided roughly into 3 types.
      </speak>
	  <!--move x="400" y="260" /-->
	  <move x="450" y="350" />
	  <play act="GestureRight" />
      <speak begin="1s">
	The first type of emotion-eliciting situation is \emp\consequences of \emp\events.
      </speak>
      <speak begin="1s">
	This type can be further divided into consequences of \emp\other,
        and consequences of \emp\self.
      </speak>
	  <move x="200" y="400" />
	  <play act="GestureRight" />
      <speak begin="1s">
	The second type of emotion-eliciting situation is \emp\actions of \emp\agents.
      </speak>
      <speak begin="1s">
	This type can also be further divided into \emp\self agent and \emp\other agent.
      </speak>
	  <play act="GestureDown" />
      <speak begin="1s">
	The third type of emotion-eliciting situation is \emp\aspects of \emp\objects.
      </speak>
      <speak begin="1s">
	This is a simple type of emotion-eliciting situation. 
      </speak>
      <speak begin="1s">
	Only 2 kinds of emotion are elicited by this type of situation, \emp\Love and \emp\Hate.
      </speak>
    </page>

<!-- 15 -->
    <!--page id="occ4" ref="occ4.html" x="450" y="150"-->
    <page id="occ4" ref="occ4.html" x="600" y="250">
      <speak begin="1s">
        According to the classification of emotion-eliciting situations,
      </speak>
      <speak begin="1s">
	All emotions can be divided into 3 classes, 6 groups and 22 types of emotion.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
	This is the structure of the emotion valenced reaction to 3 types of 
        emotion-eliciting situations.
      </speak>
      <!-- speak begin="1s">
	 emotions are divided into 3 classes as the reaction to the previously defined 3 types of 
         emotion-eliciting situations. 
      </speak -->
	  <move x="300" y="260" />
	  <play act="GestureDown" />
      <!-- speak begin="1s"
	  Further divided into 6 groups, they are
      /speak -->
      <!-- speak begin="1s">
	    The Fortunes of others group
      </speak -->
      <!-- speak begin="1s"
	    The Prospect based group
      /speak -->
      <!-- speak begin="1s">
	    The Well-being group
      </speak -->
      <!-- speak begin="1s">
	    The Attributtion group
      </speak -->
      <!-- speak begin="1s">
	    The Well-being and attribution group
      </speak -->
      <!-- speak begin="1s">
	    Every group contains 2 or 4 types of basical emotions. 
      </speak -->
      <speak begin="1s">
	In total, there are  22 types of basical emotions defined.
      </speak>
    </page>

<!-- 16 *****Emotion Output**** -->
    <page id="occ5" ref="occ5.html" area="left_top">
	  <play act="GestureDown" />
      <speak begin="1">
        Here is the definition for 22 types of emotion.
      </speak>
      <speak begin="1">
        For example, type of pity is defined as
      </speak>
      <speak begin="1">
        displeased about an event presumed which is undesirable for someone else
      </speak>
      <speak begin="1">
        At this page, You may request me to make an emotion test.
      </speak>
      <speak begin="1">
        Your request command is the type of emotion.
      </speak>
      <speak begin="1">
        if you want to go to next page, please say 'next' to me.
      </speak>
      <speak begin="1">
	    try it.
      </speak>
 	  <listen>
	    <heard word="next">
		  <jump des="introMpml2_1" />
		</heard>
	    <heard word="happy-for">
		  <emotion type="happy-for">
			  <speak>
			    I am so happy that you can listen to my presentation.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="pity">
		  <emotion type="sympathy">
			  <speak>
			    How poor that orphan is .
			  </speak>
		  </emotion>
		</heard>
	    <heard word="resentment">
		  <emotion type="jealousy">
			  <speak>
			    How did he manage to get that scholarship?
			  </speak>
		  </emotion>
		</heard>
	    <heard word="gloating">
		  <emotion type="schadenfreude">
			  <speak>
			    Do you think you can complete this work?
			  </speak>
		  </emotion>
		</heard>
	    <heard word="hope">
		  <emotion type="hopeful">
			  <speak>
			    I hope I would pass that examination.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="fear">
		  <emotion type="worried">
			  <speak>
			    I am afraid I can not pass the entrance examination.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="joy">
		  <emotion type="joyful">
			  <speak>
			    I am glad to see you.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="distress">
		  <emotion type="distressed">
			  <speak>
			    I can't believe he died so soon.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="satisfaction">
		  <emotion type="satisfaction">
			  <speak>
			    Your work is good.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="relief">
		  <emotion type="relief">
			  <speak>
			    I would not be fired.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="fear-confirmed">
		  <emotion type="fear-confirmed">
			  <speak>
			    I knew it would fail.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="disappointment">
		  <emotion type="disappointment">
			  <speak>
			    I am disappointed to my son.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="pride">
		  <emotion type="pride">
			  <speak>
			    I am pride to be able to speak here.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="self-reproach">
		  <emotion type="shame">
			  <speak>
			    I am sorry I am not able to finish that job.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="appreciation">
		  <emotion type="admiration">
			  <speak>
			    How good he is able to finish the thesis so early.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="reproach">
		  <emotion type="reproach">
			  <speak>
			    How can he copy classmate's answer?
			  </speak>
		  </emotion>
		</heard>
	    <heard word="gratification">
		  <emotion type="gratification">
			  <speak>
			    He is great to take the Nobel prize.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="gratitude">
		  <emotion type="thankful">
			  <speak>
			    Thank you so much to save my daughter.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="anger">
		  <emotion type="anger">
			  <speak>
			    Why are so so late?
			  </speak>
		  </emotion>
		</heard>
	    <heard word="remorse">
		  <emotion type="remorse">
			  <speak>
			    I regret that I didn't go with you.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="liking">
		  <emotion type="love">
			  <speak>
			    I love movies.
			  </speak>
		  </emotion>
		</heard>
	    <heard word="disliking">
		  <emotion type="hate">
			  <speak>
			    I hate schools.
			  </speak>
		  </emotion>
		</heard>
	  </listen>
    </page>

<!-- 17 -->
    <page id="introMpml2_1" ref="introMpml2_1.html" area="right_middle">
      <emotion type="satisfaction" >
        <speak begin="1s">
          In order to apply the emotion expression function to the presentation agent,
        </speak>
      </emotion>
      <speak begin="1s">
         We have developed MPML Version 2.0e.
      </speak>
      <speak begin="1s">
        The Emotion expression function is the main extension of MPML Version 2.0e.
      </speak>
	  <!-- move area="left_bottom" / -->
	  <move x="300" y="450" />
	  <!-- play act="GestureLeft" / -->
	  <play act="GestureRight" />
      <speak>
        \emp\How does a lifelike agent express emotion?
      </speak>
      <speak begin="1s">
	    Emotion is expressed by the agent's action,
      </speak>
      <speak begin="1s">
	    volume
      </speak>
      <speak begin="1s">
	    pitch
      </speak>
      <speak begin="1s">
	    emphasis
      </speak>
      <speak begin="1s">
	    speed and so on.
      </speak>
      <speak begin="1s">
	    We map the emotion to these aspects, to enable agent to express the emotion.
      </speak>
    </page>

<!-- 18 -->
    <page id="introMpml2_2" ref="introMpml2_2.html" area="right_middle">
      <speak begin="1s">
        In order to realize this new emotion expression function, 
      </speak>
      <speak begin="1s">
        Some new tags are created in MPML Version 2.0e.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
	    This is the structure for the tags in MPML 2.0e.
      </speak>
      <speak begin="1s">
	    There are 23 types of tag in MPML 2.0e.
      </speak>
	  <move x="400" y="260" />
	  <play act="GestureDown" />
      <speak>
	    The most important tag in MPML 2.0e is 'emotion' tag.
      </speak>
      <speak>
	    With it , you can describe the emotion easily.
      </speak>
    </page>

<!-- 19 -->
    <page id="introMpml2_3" ref="introMpml2_3.html" area="right_middle">
	  <play act="GestureRight" />
      <speak>
        This is the sample for the usage of 'emotion' tag.
      </speak>
      <speak begin="1s">
        With this description, I will act like this
      </speak>
	  <emotion type="pride">
	    <speak>
		  I am pride to be able to stand here. (pride)
		</speak>
	  </emotion>
	  <move x="600" y="450" />
	  <play act="GestureRight" />
      <speak>
        As the value of type attribute, you can describe 22 types of emotion defined in OCC model.
      </speak>
      <speak begin="1s">
        And the neutral , dependent .
      </speak>
      <speak>
        Value 'neutral' will affact nothing to agent.
      </speak>
      <speak>
	Value 'dependent' is reserved for relating input observation from users,
        to the emotional status of the agent.
      </speak>
    </page>

<!-- 20 -->
    <page id="introMpml2_4" ref="introMpml2_4.html" x="200" y="110">
      <emotion type="pride">
	 <speak>
	   Now I introduce other new functions provided by MPML Version 2.0e.
	 </speak>
      </emotion>
	  <play act="GestureDown" />
      <speak begin="1s">
        The concept of \emp\page is added .
      </speak>
      <speak>
        Every presentation can be divided into pages. It is the same as the slide in PowerPoint.
      </speak>
      <speak>
        With the concept of page, we have realized the Fast Forward function and Fast Reverse Function.
      </speak>
	  <play act="GestureLeft" />
      <speak>
	You can jump from page to page by clicking the fast forward button and fast reverse button.
      </speak>
    </page>

<!-- 21 -->
    <page id="ViewMpml1" ref="ViewMpml1.html" x="500" y="260">
      <speak begin="1s">
        In order to make MPML accepted by the world, we have prepared some tools 
        of producing MPML contents or seeing the contents.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
	This is the concept of the design outlook of MPML tools.
      </speak>
      <speak begin="1s">
	All tools can be divided roughly into 2 types.
      </speak>
      <speak begin="1s">
	One type is production tools and the other is audient tools.
      </speak>
    </page>

<!-- 22 -->
    <page id="ViewMpml2" ref="ViewMpml2.html" x="200" y="10">
      <speak begin="1s">
        These two production tools are considerable.
      </speak>
	  <play act="GestureDown" />
      <!-- speak begin="1s">
	Regular Text Editor
      </speak -->
      <!-- speak begin="1s">
	We usually use WordPad on windows and use emacs on Unix system as the text editor.
      </speak -->
      <speak begin="1s">
	People can write HTML file with the text editor if they know about the tag for HTML.
      </speak>
      <speak begin="1s">
        You can also write MPML file easily if you know a little about MPML tags.
      </speak>
	  <move x="200" y="210" />
	  <play act="GestureDown" />
	  <speak>
	    Another production tool is visual editor.
	  </speak>
	  <speak>
	    The famous visual editor for HTML is Homepage Builder.
	  </speak>
	  <speak begin="1s">
	    Just as people build homepage with \emp\Homepage-Builder,
	  </speak>
	  <speak begin="1s"> 
	    With the help of \emp\visual editor for MPML, people will be able 
            to build MPML content \emp\without knowledge about MPML.
	  </speak>
	 <!-- speak begin="1s"> 
	    It is under construction now.
	 </speak -->
    </page>

<!-- 23 -->
    <page id="ViewMpml3" ref="ViewMpml3.html" x="330" y="210">
      <speak begin="1s">
        Three types of audient tools are considerable.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
        One is MPML \emp\player.
      </speak>
      <speak begin="1s">
	It is the best choice for audience. 
      </speak>
      <speak>
	A MPML player reads an MPML script and make a presentation according to the description.
      </speak>
      <speak>
         At present, one player called 'View MPML' has already been developed. 
      </speak>
	  <move x="0" y="0" />
	  <play act="GestureUp" />
      <emotion type="joyful">
        <speak>
         Just see, you are using it already. (joyfull)
        </speak>
      </emotion>
	  <move x="450" y="330" />
	  <play act="GestureRight" />
      <speak begin="1s">
          Another type of audient tools is a converter plus agent system. 
      </speak>
      <speak begin="1s">
	  A converter converts an MPML script to the language which could be understood by a certain agent system.
      </speak>
      <speak>
	  The agent system then runs the multimodal presentaion according to the converted script.
      </speak>
	  <move x="550" y="480" />
	  <play act="GestureRight" />
      <speak begin="1s">
	  The last type of audient tools is an XML Browser plus plug-in.
      </speak>
      <speak begin="1s">
	  As MPML conforms to XML, MPML should be understood by XML browsers.
      </speak>
      <speak>
	  One plug-in made by XSL is \emp\already developed to apply MPML to a XML browser.
      </speak>
    </page>

<!-- 24 -->
    <!--page id="ViewMpml4" ref="ViewMpml4.html" x="300" y="210"-->
    <page id="ViewMpml4" ref="ViewMpml4.html" x="350" y="300">
      <emotion type="hopeful">
        <speak>
          Agent system is an important component for the multimodal presentation.
          (hopeful)
        </speak>
      </emotion>
      <speak begin="1s">
        Now we mainly use Microsoft Agent; it is 2D character.
      </speak>
      <emotion type="sympathy">
        <speak>
         It supports a few actions of expressing emotions. (sympathy)
        </speak>
      </emotion>
	  <play act="GestureRight" />
      <speak begin="1s">
         This is a new 3D original charaters under construction, to be used for our multimodal presentation.
      </speak>
      <speak begin="1s">
	 Detailed action control is possible for these 3D characters; 
         so it will be a good choice to express emotion.
      </speak>
    </page>

<!-- 25 -->
    <page id="evaluate" ref="evaluate.html" area="right_bottom">
      <speak begin="1s">
	 Now let me evaluate the MPML new version.
      </speak>
      <speak begin="1s">
	 I compare Version 2.0e with 1.0 .
      </speak>
      <emotion type="satisfaction">
        <speak begin="1s">
	 In MPML Version 2.0e, many new functions are added. (satisfaction)
        </speak>
      </emotion>
      <speak begin="1s">
	 For example, \emp\emotion expresson function, \emp\fast forward function, 
         \emp\macro definition function.
      </speak>
      <speak begin="1s">
	 These functions are not supported in MPML Version 1.0.
      </speak>
      <speak begin="1s">
	 In order to support these new functions, we have added some types of tag in MPML 2.0e.
      </speak>
      <!-- speak begin="1s">
	 At the same time, we also have removed some types of tag in MPML 1.0 , 
         which we have considered useless.
      </speak -->
      <speak begin="1s">
	 In MPML Version 2.0e, 23 types of tag are supported.
      </speak>
      <emotion type="shame">
        <speak begin="1s">
	 However, until now , only one audient tool supports MPML 2.0e.
         (shame)
        </speak>
      </emotion>
    </page>

<!-- 26 -->
    <page id="conclusion" ref="conclusion.html" area="right_bottom">
      <speak begin="1s">
	At last , let me make conclusion.
      </speak>
      <speak begin="1s">
	The purpose of MPML is to 
      </speak>
      <speak>
	Enable many people to build attractive multimodal presentation content \emp\easily.
      </speak>
      <speak begin="1s">
	In MPML Version 2.0e , we have realized a function of expressing emotions.
      </speak>
	  <play act="GestureRight" />
      <speak begin="1s">
	When we design a system concern to emotion, we need to consider the 
        scalability and flexibility of the system.
      </speak>
      <emotion type="pride" >
        <speak> 
	 By adopting the OCC model, MPML has achieved flexibility and scabality. (pride)
        </speak>
      </emotion>
         <move x="300" y="300" />
      <speak begin="1s">
         As a future work, we are going to use the 3D character as the presentation agent.
      </speak>
      <speak begin="1s">
	 In addition to emotional output, we plans to realize emotion input function
         in near future.
      </speak>
      <emotion type="gratification" >
        <speak begin="1s"> 
	    At last , thank you for your audience. (gratification)
        </speak>
      </emotion>
    </page>

  </body>
</mpml>

